PETSc version 3.17.4
Fix/Edit manual page

# MatDenseGetArray

gives read-write access to the array where the data for a dense matrix is stored

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseGetArray(Mat A,PetscScalar **array)

Logically Collective on Mat

### Input Parameter

| mat | - a dense matrix

### Output Parameter

| array | - pointer to the data

### See Also

MatDenseRestoreArray(), MatDenseGetArrayRead(), MatDenseRestoreArrayRead(), MatDenseGetArrayWrite(), MatDenseRestoreArrayWrite()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Implementations

MatDenseGetArray_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetArray_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
MatDenseGetArray_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages